// --------------------------------------------------------------------------------------------------------------------------------
//      _         _                      _ _           _     
//     | |       | |                    | | |         | |    
//  ___| | __ ___| | __ _  ___ _ __   __| | | __ _    | |__  
// / __| |/ // _ \ |/ _` |/ _ \ '_ \ / _` | |/ _` |   | '_ \ 
// \__ \   <|  __/ | (_| |  __/ | | | (_| | | (_| | _ | | | |
// |___/_|\_\\___|_|\__, |\___|_| |_|\__,_|_|\__, |(_)|_| |_|
//                   __/ |                    __/ |          
//                  |___/                    |___/           
// Primary SkelGen interface dialog (Windows version)
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#ifndef	_H_SKELGENDLG
#define	_H_SKELGENDLG

// --------------------------------------------------------------------------------------------------------------------------------

class	CSkelGenDlg : public CDialog
{
public:
				CSkelGenDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CSkelGenDlg)
	enum { IDD = IDD_SKELGEN_DIALOG };
	CButton	overwrite;
	CEdit	user5;
	CEdit	user4;
	CEdit	user3;
	CEdit	user2;
	CEdit	user1;
	CButton	genC;
	CEdit	description;
	CComboBox	templateList;
	CEdit	classname;
	CEdit	kerning;
	CButton	genHPP;
	CButton	genH;
	CButton	genCPP;
	CEdit	dest;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CSkelGenDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON	m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CSkelGenDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGenerate();
	afx_msg void OnExit();
	afx_msg void OnBrowseDest();
	afx_msg void OnAbout();
	afx_msg void OnViewMacros();
	afx_msg void OnViewTemplates();
	afx_msg void OnHlp();
	afx_msg void OnLeaveEdit();
	afx_msg void OnRefresh();
	afx_msg void OnSelchangeTemplates();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // _H_SKELGENDLG
// --------------------------------------------------------------------------------------------------------------------------------
// skelgendlg.h - End of file
// --------------------------------------------------------------------------------------------------------------------------------
