// --------------------------------------------------------------------------------------------------------------------------------
//   __             _                        
//  / _|           | |                       
// | |_  ___  _ __ | |_      ___ _ __  _ __  
// |  _|/ _ \| '_ \| __|    / __| '_ \| '_ \ 
// | | | (_) | | | | |_  _ | (__| |_) | |_) |
// |_|  \___/|_| |_|\__|(_) \___| .__/| .__/ 
//                              | |   | |    
//                              |_|   |_|    
// The one and only, hard-coded bubble-text font
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#include "skelgen.h"

// --------------------------------------------------------------------------------------------------------------------------------

char	*fontData[102][8] =
{
	{"   ",
	 "   ",
	 "   ",
	 "   ",
	 "   ",
	 "   ",
	 "   ",
	 "   "},

	{" _ ",
	 "| |",
	 "| |",
	 "| |",
	 "|_|",
	 "(_)",
	 "   ",
	 "   "},

	{" _ _ ",
	 "( | )",
	 " V V ",
	 "     ",
	 "     ",
	 "     ",
	 "     ",
	 "     "},

	{"   _  _   ",
	 " _| || |_ ",
	 "|_  __  _|",
	 " _| || |_ ",
	 "|_  __  _|",
	 "  |_||_|  ",
	 "          ",
	 "          "},

	{"  _  ",
	 " | | ",
	 "/ __)",
	 "\\__ \\",
	 "(   /",
	 " |_| ",
	 "     ",
	 "     "},

	{" _   __",
	 "(_) / /",
	 "   / / ",
	 "  / /  ",
	 " / / _ ",
	 "/_/ (_)",
	 "       ",
	 "       "},

	{"        ",
	 "  ___   ",
	 " ( _ )  ",
	 " / _ \\/\\",
	 "| (_>  <",
	 " \\___/\\/",
	 "        ",
	 "        "},

	{" _ ",
	 "( )",
	 "|/ ",
	 "   ",
	 "   ",
	 "   ",
	 "   ",
	 "   "},

	{"  __",
	 " / /",
	 "| | ",
	 "| | ",
	 "| | ",
	 "| | ",
	 " \\_\\",
	 "    "},

	{"__  ",
	 "\\ \\ ",
	 " | |",
	 " | |",
	 " | |",
	 " | |",
	 "/_/ ",
	 "    "},

	{"    _    ",
	 " /\\| |/\\ ",
	 " \\ ` ' / ",
	 "|_     _|",
	 " / , . \\ ",
	 " \\/|_|\\/ ",
	 "         ",
	 "         "},

	{"       ",
	 "   _   ",
	 " _| |_ ",
	 "|_   _|",
	 "  |_|  ",
	 "       ",
	 "       ",
	 "       "},

	{"   ",
	 "   ",
	 "   ",
	 "   ",
	 " _ ",
	 "( )",
	 "|/ ",
	 "   "},

	{"        ",
	 "        ",
	 " ______ ",
	 "|______|",
	 "        ",
	 "        ",
	 "        ",
	 "        "},

	{"   ",
	 "   ",
	 "   ",
	 "   ",
	 " _ ",
	 "(_)",
	 "   ",
	 "   "},

	{"     __",
	 "    / /",
	 "   / / ",
	 "  / /  ",
	 " / /   ",
	 "/_/    ",
	 "       ",
	 "       "},

	{"  ___  ",
	 " / _ \\ ",
	 "| | | |",
	 "| | | |",
	 "| |_| |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{" __ ",
	 "/_ |",
	 " | |",
	 " | |",
	 " | |",
	 " |_|",
	 "    ",
	 "    "},

	{" ___  ",
	 "|__ \\ ",
	 "   ) |",
	 "  / / ",
	 " / /_ ",
	 "|____|",
	 "      ",
	 "      "},

	{" ____  ",
	 "|___ \\ ",
	 "  __) |",
	 " |__ < ",
	 " ___) |",
	 "|____/ ",
	 "       ",
	 "       "},

	{" _  _   ",
	 "| || |  ",
	 "| || |_ ",
	 "|__   _|",
	 "   | |  ",
	 "   |_|  ",
	 "        ",
	 "        "},

	{" _____ ",
	 "| ____|",
	 "| |__  ",
	 "|___ \\ ",
	 " ___) |",
	 "|____/ ",
	 "       ",
	 "       "},

	{"   __  ",
	 "  / /  ",
	 " / /_  ",
	 "| '_ \\ ",
	 "| (_) |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{" ______ ",
	 "|____  |",
	 "    / / ",
	 "   / /  ",
	 "  / /   ",
	 " /_/    ",
	 "        ",
	 "        "},

	{"  ___  ",
	 " / _ \\ ",
	 "| (_) |",
	 " > _ < ",
	 "| (_) |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{"  ___  ",
	 " / _ \\ ",
	 "| (_) |",
	 " \\__, |",
	 "   / / ",
	 "  /_/  ",
	 "       ",
	 "       "},

	{"   ",
	 " _ ",
	 "(_)",
	 "   ",
	 " _ ",
	 "(_)",
	 "   ",
	 "   "},

	{"   ",
	 " _ ",
	 "(_)",
	 "   ",
	 " _ ",
	 "( )",
	 "|/ ",
	 "   "},

	{"   __",
	 "  / /",
	 " / / ",
	 "< <  ",
	 " \\ \\ ",
	 "  \\_\\",
	 "     ",
	 "     "},

	{"        ",
	 " ______ ",
	 "|______|",
	 " ______ ",
	 "|______|",
	 "        ",
	 "        ",
	 "        "},

	{"__   ",
	 "\\ \\  ",
	 " \\ \\ ",
	 "  > >",
	 " / / ",
	 "/_/  ",
	 "     ",
	 "     "},

	{" ___  ",
	 "|__ \\ ",
	 "   ) |",
	 "  / / ",
	 " |_|  ",
	 " (_)  ",
	 "      ",
	 "      "},

	{"         ",
	 "   ____  ",
	 "  / __ \\ ",
	 " / / _` |",
	 "| | (_| |",
	 " \\ \\__,_|",
	 "  \\____/ ",
	 "         "},

	{"          ",
	 "    /\\    ",
	 "   /  \\   ",
	 "  / /\\ \\  ",
	 " / ____ \\ ",
	 "/_/    \\_\\",
	 "          ",
	 "          "},

	{" ____  ",
	 "|  _ \\ ",
	 "| |_) |",
	 "|  _ < ",
	 "| |_) |",
	 "|____/ ",
	 "       ",
	 "       "},

	{"  _____ ",
	 " / ____|",
	 "| |     ",
	 "| |     ",
	 "| |____ ",
	 " \\_____|",
	 "        ",
	 "        "},

	{" _____  ",
	 "|  __ \\ ",
	 "| |  | |",
	 "| |  | |",
	 "| |__| |",
	 "|_____/ ",
	 "        ",
	 "        "},

	{" ______ ",
	 "|  ____|",
	 "| |__   ",
	 "|  __|  ",
	 "| |____ ",
	 "|______|",
	 "        ",
	 "        "},

	{" ______ ",
	 "|  ____|",
	 "| |__   ",
	 "|  __|  ",
	 "| |     ",
	 "|_|     ",
	 "        ",
	 "        "},

	{"  _____ ",
	 " / ____|",
	 "| |  __ ",
	 "| | |_ |",
	 "| |__| |",
	 " \\_____|",
	 "        ",
	 "        "},

	{" _    _ ",
	 "| |  | |",
	 "| |__| |",
	 "|  __  |",
	 "| |  | |",
	 "|_|  |_|",
	 "        ",
	 "        "},

	{" _____ ",
	 "|_   _|",
	 "  | |  ",
	 "  | |  ",
	 " _| |_ ",
	 "|_____|",
	 "       ",
	 "       "},

	{"      _ ",
	 "     | |",
	 "     | |",
	 " _   | |",
	 "| |__| |",
	 " \\____/ ",
	 "        ",
	 "        "},

	{" _  __",
	 "| |/ /",
	 "| ' / ",
	 "|  <  ",
	 "| . \\ ",
	 "|_|\\_\\",
	 "      ",
	 "      "},

	{" _      ",
	 "| |     ",
	 "| |     ",
	 "| |     ",
	 "| |____ ",
	 "|______|",
	 "        ",
	 "        "},

	{" __  __ ",
	 "|  \\/  |",
	 "| \\  / |",
	 "| |\\/| |",
	 "| |  | |",
	 "|_|  |_|",
	 "        ",
	 "        "},

	{" _   _ ",
	 "| \\ | |",
	 "|  \\| |",
	 "| . ` |",
	 "| |\\  |",
	 "|_| \\_|",
	 "       ",
	 "       "},

	{"  ____  ",
	 " / __ \\ ",
	 "| |  | |",
	 "| |  | |",
	 "| |__| |",
	 " \\____/ ",
	 "        ",
	 "        "},

	{" _____  ",
	 "|  __ \\ ",
	 "| |__) |",
	 "|  ___/ ",
	 "| |     ",
	 "|_|     ",
	 "        ",
	 "        "},

	{"  ____  ",
	 " / __ \\ ",
	 "| |  | |",
	 "| |  | |",
	 "| |__| |",
	 " \\___\\_\\",
	 "        ",
	 "        "},

	{" _____  ",
	 "|  __ \\ ",
	 "| |__) |",
	 "|  _  / ",
	 "| | \\ \\ ",
	 "|_|  \\_\\",
	 "        ",
	 "        "},

	{"  _____ ",
	 " / ____|",
	 "| (___  ",
	 " \\___ \\ ",
	 " ____) |",
	 "|_____/ ",
	 "        ",
	 "        "},

	{" _______ ",
	 "|__   __|",
	 "   | |   ",
	 "   | |   ",
	 "   | |   ",
	 "   |_|   ",
	 "         ",
	 "         "},

	{" _    _ ",
	 "| |  | |",
	 "| |  | |",
	 "| |  | |",
	 "| |__| |",
	 " \\____/ ",
	 "        ",
	 "        "},

//	{"__      __",
//	 "\\ \\    / /",
//	 " \\ \\  / / ",
//	 "  \\ \\/ /  ",
//	 "   \\  /   ",
//	 "    \\/    ",
//	 "          ",
//	 "          "},

	{" _     _ ",
	 "| |   | |",
	 "| |   | |",
	 " \\ \\ / / ",
	 "  \\ V /  ",
	 "   \\_/   ",
	 "         ",
	 "         "},

//	{"__          __",
//	 "\\ \\        / /",
//	 " \\ \\  /\\  / / ",
//	 "  \\ \\/  \\/ /  ",
//	 "   \\  /\\  /   ",
//	 "    \\/  \\/    ",
//	 "              ",
//	 "              "},

	{" _   _   _ ",
	 "| | | | | |",
	 "| | | | | |",
	 "| | | | | |",
	 "|  V _ V  |",
	 " \\__/ \\__/ ",
	 "           ",
	 "           "},

	{"__   __",
	 "\\ \\ / /",
	 " \\ V / ",
	 "  > <  ",
	 " / . \\ ",
	 "/_/ \\_\\",
	 "       ",
	 "       "},

	{"__     __",
	 "\\ \\   / /",
	 " \\ \\_/ / ",
	 "  \\   /  ",
	 "   | |   ",
	 "   |_|   ",
	 "         ",
	 "         "},

	{" ______",
	 "|___  /",
	 "   / / ",
	 "  / /  ",
	 " / /__ ",
	 "/_____|",
	 "       ",
	 "       "},

	{" ___ ",
	 "|  _|",
	 "| |  ",
	 "| |  ",
	 "| |  ",
	 "| |_ ",
	 "|___|",
	 "     "},

	{"__     ",
	 "\\ \\    ",
	 " \\ \\   ",
	 "  \\ \\  ",
	 "   \\ \\ ",
	 "    \\_\\",
	 "       ",
	 "       "},

	{" ___ ",
	 "|_  |",
	 "  | |",
	 "  | |",
	 "  | |",
	 " _| |",
	 "|___|",
	 "     "},

	{" /\\ ",
	 "|/\\|",
	 "    ",
	 "    ",
	 "    ",
	 "    ",
	 "    ",
	 "    "},

	{"        ",
	 "        ",
	 "        ",
	 "        ",
	 "        ",
	 "        ",
	 " ______ ",
	 "|______|"},

	{" _ ",
	 "( )",
	 " \\|",
	 "   ",
	 "   ",
	 "   ",
	 "   ",
	 "   "},

	{"       ",
	 "       ",
	 "  __ _ ",
	 " / _` |",
	 "| (_| |",
	 " \\__,_|",
	 "       ",
	 "       "},

	{" _     ",
	 "| |    ",
	 "| |__  ",
	 "| '_ \\ ",
	 "| |_) |",
	 "|_.__/ ",
	 "       ",
	 "       "},

	{"      ",
	 "      ",
	 "  ___ ",
	 " / __|",
	 "| (__ ",
	 " \\___|",
	 "      ",
	 "      "},

	{"     _ ",
	 "    | |",
	 "  __| |",
	 " / _` |",
	 "| (_| |",
	 " \\__,_|",
	 "       ",
	 "       "},

	{"      ",
	 "      ",
	 "  ___ ",
	 " / _ \\",
	 "|  __/",
	 " \\___|",
	 "      ",
	 "      "},

	{"  __ ",
	 " / _|",
	 "| |_ ",
	 "|  _|",
	 "| |  ",
	 "|_|  ",
	 "     ",
	 "     "},

	{"       ",
	 "       ",
	 "  __ _ ",
	 " / _` |",
	 "| (_| |",
	 " \\__, |",
	 "  __/ |",
	 " |___/ "},

	{" _     ",
	 "| |    ",
	 "| |__  ",
	 "| '_ \\ ",
	 "| | | |",
	 "|_| |_|",
	 "       ",
	 "       "},

	{" _ ",
	 "(_)",
	 " _ ",
	 "| |",
	 "| |",
	 "|_|",
	 "   ",
	 "   "},

	{"   _ ",
	 "  (_)",
	 "   _ ",
	 "  | |",
	 "  | |",
	 "  | |",
	 " _/ |",
	 "|__/ "},

	{" _    ",
	 "| |   ",
	 "| | __",
	 "| |/ /",
	 "|   < ",
	 "|_|\\_\\",
	 "      ",
	 "      "},

	{" _ ",
	 "| |",
	 "| |",
	 "| |",
	 "| |",
	 "|_|",
	 "   ",
	 "   "},

	{"           ",
	 "           ",
	 " _ __ ___  ",
	 "| '_ ` _ \\ ",
	 "| | | | | |",
	 "|_| |_| |_|",
	 "           ",
	 "           "},

	{"       ",
	 "       ",
	 " _ __  ",
	 "| '_ \\ ",
	 "| | | |",
	 "|_| |_|",
	 "       ",
	 "       "},

	{"       ",
	 "       ",
	 "  ___  ",
	 " / _ \\ ",
	 "| (_) |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{"       ",
	 "       ",
	 " _ __  ",
	 "| '_ \\ ",
	 "| |_) |",
	 "| .__/ ",
	 "| |    ",
	 "|_|    "},

	{"       ",
	 "       ",
	 "  __ _ ",
	 " / _` |",
	 "| (_| |",
	 " \\__, |",
	 "    | |",
	 "    |_|"},

	{"      ",
	 "      ",
	 " _ __ ",
	 "| '__|",
	 "| |   ",
	 "|_|   ",
	 "      ",
	 "      "},

	{"     ",
	 "     ",
	 " ___ ",
	 "/ __|",
	 "\\__ \\",
	 "|___/",
	 "     ",
	 "     "},

	{" _   ",
	 "| |  ",
	 "| |_ ",
	 "| __|",
	 "| |_ ",
	 " \\__|",
	 "     ",
	 "     "},

	{"       ",
	 "       ",
	 " _   _ ",
	 "| | | |",
	 "| |_| |",
	 " \\__,_|",
	 "       ",
	 "       "},

	{"       ",
	 "       ",
	 "__   __",
	 "\\ \\ / /",
	 " \\ V / ",
	 "  \\_/  ",
	 "       ",
	 "       "},

	{"          ",
	 "          ",
	 "__      __",
	 "\\ \\ /\\ / /",
	 " \\ V  V / ",
	 "  \\_/\\_/  ",
	 "          ",
	 "          "},

	{"      ",
	 "      ",
	 "__  __",
	 "\\ \\/ /",
	 " >  < ",
	 "/_/\\_\\",
	 "      ",
	 "      "},

	{"       ",
	 "       ",
	 " _   _ ",
	 "| | | |",
	 "| |_| |",
	 " \\__, |",
	 "  __/ |",
	 " |___/ "},

	{"     ",
	 "     ",
	 " ____",
	 "|_  /",
	 " / / ",
	 "/___|",
	 "     ",
	 "     "},

	{"   __",
	 "  / /",
	 " | | ",
	 "/ /  ",
	 "\\ \\  ",
	 " | | ",
	 "  \\_\\",
	 "     "},

	{" _ ",
	 "| |",
	 "| |",
	 "| |",
	 "| |",
	 "| |",
	 "| |",
	 "|_|"},

	{"__   ",
	 "\\ \\  ",
	 " | | ",
	 "  \\ \\",
	 "  / /",
	 " | | ",
	 "/_/  ",
	 "     "},

	{" /\\/|",
	 "|/\\/ ",
	 "     ",
	 "     ",
	 "     ",
	 "     ",
	 "     ",
	 "     "},

	{"  _   _  ",
	 " (_)_(_) ",
	 "   / \\   ",
	 "  / _ \\  ",
	 " / ___ \\ ",
	 "/_/   \\_\\",
	 "         ",
	 "         "},

	{" _   _ ",
	 "(_)_(_)",
	 " / _ \\ ",
	 "| | | |",
	 "| |_| |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{" _   _ ",
	 "(_) (_)",
	 "| | | |",
	 "| | | |",
	 "| |_| |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{" _   _ ",
	 "(_) (_)",
	 "  __ _ ",
	 " / _` |",
	 "| (_| |",
	 " \\__,_|",
	 "       ",
	 "       "},

	{" _   _ ",
	 "(_) (_)",
	 "  ___  ",
	 " / _ \\ ",
	 "| (_) |",
	 " \\___/ ",
	 "       ",
	 "       "},

	{" _   _ ",
	 "(_) (_)",
	 " _   _ ",
	 "| | | |",
	 "| |_| |",
	 " \\__,_|",
	 "       ",
	 "       "},

	{"  ___  ",
	 " / _ \\ ",
	 "| | ) |",
	 "| |< < ",
	 "| | ) |",
	 "| ||_/ ",
	 "|_|    ",
	 "       "}
};

// --------------------------------------------------------------------------------------------------------------------------------
// font.cpp - End of file
// --------------------------------------------------------------------------------------------------------------------------------

