// --------------------------------------------------------------------------------------------------------------------------------
//  _          _                            
// | |        | |                           
// | |__   ___| |_ __       ___ _ __  _ __  
// | '_ \ / _ \ | '_ \     / __| '_ \| '_ \ 
// | | | |  __/ | |_) | _ | (__| |_) | |_) |
// |_| |_|\___|_| .__/ (_) \___| .__/| .__/ 
//              | |            | |   | |    
//              |_|            |_|   |_|    
// SkelGen help dialog (Windows version)
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#include "skelgen.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

// --------------------------------------------------------------------------------------------------------------------------------

	Help::Help(CWnd* pParent /*=NULL*/)
	: CDialog(Help::IDD, pParent)
{
	//{{AFX_DATA_INIT(Help)
	//}}AFX_DATA_INIT
}
 
// --------------------------------------------------------------------------------------------------------------------------------

void	Help::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(Help)
	DDX_Control(pDX, IDC_EDIT, editbox);
	//}}AFX_DATA_MAP
}

// --------------------------------------------------------------------------------------------------------------------------------

BOOL	Help::OnInitDialog() 
{
	CDialog::OnInitDialog();

	CString	s;

	FILE	*fp = fopen("readme.txt", "r");
	if (!fp)
	{
		s = "Unable to provide help information. The readme.txt file is missing from the program's installation directory";
	}
	else
	{
		char	tmp[1024];
		memset(tmp, 0, sizeof(tmp));

		while(fgets(tmp, sizeof(tmp) - 1, fp))
		{
			int	len = strlen(tmp) - 1;
			while(len >= 0 && (tmp[len] == '\n' || tmp[len] == '\r')) tmp[len--] = 0;
			s += tmp;
			s += "\r\n";
			memset(tmp, 0, sizeof(tmp));
		}

		fclose(fp);
	}

	editbox.SetWindowText(s);

	return TRUE;
}

// --------------------------------------------------------------------------------------------------------------------------------

BEGIN_MESSAGE_MAP(Help, CDialog)
	//{{AFX_MSG_MAP(Help)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// --------------------------------------------------------------------------------------------------------------------------------
// help.cpp - End of file
// --------------------------------------------------------------------------------------------------------------------------------
