// --------------------------------------------------------------------------------------------------------------------------------
//  _                 _              _     
// | |               | |            | |    
// | | ___  __ _  ___| |__   ___    | |__  
// | |/ __|/ _` |/ __| '_ \ / _ \   | '_ \ 
// | | (__| (_| | (__| | | |  __/ _ | | | |
// |_|\___|\__,_|\___|_| |_|\___|(_)|_| |_|
//                                         
//                                         
// Line cache utilitarian class
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#ifndef	_H_LCACHE
#define _H_LCACHE

// --------------------------------------------------------------------------------------------------------------------------------

class	LCache
{
public:
				LCache() {reset();}
virtual				~LCache() {}
virtual		void		operator+=(const string &s) {_lines.push_back(s + "\n");}
virtual		void		reset() {_lines.clear();}
virtual		void		write(FILE *fp)
				{
					StringList::iterator    pos;
					for (pos = _lines.begin(); pos != _lines.end(); ++pos)
					{
						fprintf(fp, "%s", pos->c_str());
					}
				}

private:
		StringList	_lines;
};

#endif // _H_LCACHE
// --------------------------------------------------------------------------------------------------------------------------------
// lcache.h - End of file
// --------------------------------------------------------------------------------------------------------------------------------
