// --------------------------------------------------------------------------------------------------------------------------------
//                                            _     
//                                           | |    
//  _ __ ___   __ _ _ __  _ __   ___ _ __    | |__  
// | '_ ` _ \ / _` | '_ \| '_ \ / _ \ '__|   | '_ \ 
// | | | | | | (_| | |_) | |_) |  __/ |    _ | | | |
// |_| |_| |_|\__,_| .__/| .__/ \___|_|   (_)|_| |_|
//                 | |   | |                        
//                 |_|   |_|                        
// A simple STL map of string pairs
//
// Best viewed with 8-character tabs and (at least) 132 columns
//
// ---------------------------------------------------------------------------------------------------------------------------------
//
// Restrictions & freedoms pertaining to usage and redistribution of this software:
//
//  * This software is 100% free
//  * If you use this software (in part or in whole) you must credit the author.
//  * This software may not be re-distributed (in part or in whole) in a modified
//    form without clear documentation on how to obtain a copy of the original work.
//  * You may not use this software to directly or indirectly cause harm to others.
//  * This software is provided as-is and without warrantee. Use at your own risk.
//
// For more information, visit HTTP://www.FluidStudios.com
//
// --------------------------------------------------------------------------------------------------------------------------------
// Originally created on 10/23/2000 by Paul Nettle (midnight@FluidStudios.com)
//
// Copyright 2000, Fluid Studios, Inc., all rights reserved.
// --------------------------------------------------------------------------------------------------------------------------------

#ifndef	_H_MAPPER
#define _H_MAPPER

// --------------------------------------------------------------------------------------------------------------------------------

class	Template;

// --------------------------------------------------------------------------------------------------------------------------------

class	Mapper
{
public:
	// Construction/Destruction
	
				Mapper();
virtual				~Mapper();

	// Implementation

virtual		bool		exist(const string &title) const;
virtual	const	string		&getString(const string &title) const;
virtual	const	int		getInteger(const string &title) const;
virtual	const	float		getFloat(const string &title) const;
virtual 	void		addMacros(Template &t, const string &prefix);
inline		string		&operator[](string &s) {return _data[s];}

	// Accessors

inline		MapperMap	&data() {return _data;}

protected:
		MapperMap	_data;
};

#endif // _H_MAPPER
// --------------------------------------------------------------------------------------------------------------------------------
// mapper.h - End of file
// --------------------------------------------------------------------------------------------------------------------------------
